Pedidos
Listar pedidos
Lista todos os pedidos com suporte a filtros e paginação.
Authorization
Auth AuthorizationBearer <token>
Chave de Cash-In no formato Bearer Auth
In: header
Query Parameters
status?string
Filtrar por status do pedido
Value in
"pending" | "paid" | "med" | "failed" | "refunded"page*integer
Página atual
Range
1 <= valuepage_size*integer
Número de resultados por página
Range
1 <= value <= 100Response Body
application/json
application/json
curl -X GET "https://api.intake.finance/v1/orders?page=1&page_size=1"{
"page": 2,
"total_count": 29,
"total_pages": 3,
"data": [
{
"id": "c1eec672-ed2a-428f-ab53-77a47838e8d6",
"type": "sale",
"status": {
"name": "pending",
"detail": "00020101021226850014br.gov.bcb.pix..."
},
"payment_method": "pix",
"total_amount": 1200,
"net_amount": 1088,
"fixed_fee": 100,
"variable_fee": 12,
"shipping_amount": 0,
"created_at": "2026-01-27T17:32:23.258Z",
"buyer": {
"name": "intake",
"email": "intake@intake.finance",
"document": null,
"phone": null
},
"product": {
"id": "882e3924-be36-45cf-ac01-6a4ffd71a31e",
"name": "formula-2"
},
"offer": {
"name": "formula-1",
"discount_price": 1200
},
"affiliate_id": null,
"tracking": {
"ref": null,
"src": null,
"sck": null,
"utm_source": null,
"utm_medium": null,
"utm_campaign": null,
"utm_id": null,
"utm_term": null,
"utm_content": null
}
}
]
}{
"error": "Unauthorized",
"details": {
"message": "Invalid or missing token"
}
}